package com.sun.jmx.snmp.agent;

import javax.management.ServiceNotFoundException;
import javax.management.InstanceNotFoundException;
import javax.management.ObjectName;
import com.sun.jmx.snmp.SnmpOid;
import javax.management.MBeanServer;
import com.sun.jmx.snmp.SnmpStatusException;

public interface SnmpMibAgentMBean
{
    public abstract void get(SnmpMibRequest p0) throws SnmpStatusException;
    
    public abstract void getNext(SnmpMibRequest p0) throws SnmpStatusException;
    
    public abstract void getBulk(SnmpMibRequest p0, int p1, int p2) throws SnmpStatusException;
    
    public abstract void set(SnmpMibRequest p0) throws SnmpStatusException;
    
    public abstract void check(SnmpMibRequest p0) throws SnmpStatusException;
    
    public abstract MBeanServer getMBeanServer();
    
    public abstract SnmpMibHandler getSnmpAdaptor();
    
    public abstract void setSnmpAdaptor(SnmpMibHandler p0);
    
    public abstract void setSnmpAdaptor(SnmpMibHandler p0, SnmpOid[] p1);
    
    public abstract void setSnmpAdaptor(SnmpMibHandler p0, String p1);
    
    public abstract void setSnmpAdaptor(SnmpMibHandler p0, String p1, SnmpOid[] p2);
    
    public abstract ObjectName getSnmpAdaptorName();
    
    public abstract void setSnmpAdaptorName(ObjectName p0) throws InstanceNotFoundException, ServiceNotFoundException;
    
    public abstract void setSnmpAdaptorName(ObjectName p0, SnmpOid[] p1) throws InstanceNotFoundException, ServiceNotFoundException;
    
    public abstract void setSnmpAdaptorName(ObjectName p0, String p1) throws InstanceNotFoundException, ServiceNotFoundException;
    
    public abstract void setSnmpAdaptorName(ObjectName p0, String p1, SnmpOid[] p2) throws InstanceNotFoundException, ServiceNotFoundException;
    
    public abstract boolean getBindingState();
    
    public abstract String getMibName();
}
